// --------------------------------------------------------
// Copyright (c)
//
// contributions by author
//                  author@somewhere.net
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef PERIODICPUBLISHERCOMPDEF_PERIODICPUBLISHER_IMPL_H
#define PERIODICPUBLISHERCOMPDEF_PERIODICPUBLISHER_IMPL_H

/************************************************************
 PeriodicPublisher_impl class header
 ************************************************************/

#include "periodicPublisherCompdef/Pkg_periodicPublisherCompdef.h"

#include "periodicPublisherCompdef/PeriodicPublisher.h"

namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}

namespace periodicPublisherCompdef {

/************************************************************/
/**
 * This is a skeleton class generated for component PeriodicPublisher
 * Copy it into the source folder as an initial base (or copy parts
 * of it whenever you add modify the component).
 * 
 */
class PeriodicPublisher_impl: public PeriodicPublisher {
public:

  /**
   * 
   * @param options 
   */
  PeriodicPublisher_impl(rclcpp::NodeOptions /*in*/options);

  /**
   * 
   */
  void fPublishing();

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace periodicPublisherCompdef

/************************************************************
 End of PeriodicPublisher_impl class header
 ************************************************************/

#endif
